### Method

# GimpUi PatternSelectButton set_pattern

#### Declaration [src]

    void
    gimp_pattern_select_button_set_pattern (
      GimpPatternSelectButton* button,
      const gchar* pattern_name
    )

#### Description [src]

Sets the current pattern for the pattern select button.

Available since: | 2.4

#### Parameters

`pattern_name` | `const gchar*`
| Pattern name to set; `NULL` means no change.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.